<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pengumumen', function (Blueprint $table) {
                $table->id();
                $table->string('keterangan');
                $table->date('tarikh_mula_papar');
                $table->date('tarikh_tamat_papar');
                $table->unsignedBigInteger('admin_id');
                $table->timestamps();

                $table->foreign('admin_id')->references('id')->on('users')->onDelete('cascade');
            });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pengumumen');
    }
};
